test_and_set_bit_lock
Prev | Bit Operations | Next

## Name

test_and_set_bit_lock — Set a bit and return its old value for lock

## Synopsis

`int test_and_set_bit_lock (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  Bit to set

`addr`

  Address to count from

## Description

This is the same as test_and_set_bit on x86.

Prev | Up | Next
test_and_set_bit | Home | __test_and_set_bit